%------------------------------------------------------------
% CRTANJE GRAFIKA M=f(s), M=f(n) i n=f(M)
%------------------------------------------------------------
% definisanje nove slucajne palete boja kori?enjem komande rand
boj1=rand(1);
boj2=rand(1);
boj3=rand(1);


%Racunanje momenta u f-ji klizanja
syms s pmeh mmeh omega n  i1 i21 i0 
parametriseme;                     
ns=60*f./p;    
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/s+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);  
i0=u./(z1+z0+(z1+z0)/z21);
i1=i21+i0;
pmeh=3*(abs(i21))^2*(r21+r21dod)*(1-s)/s;
omega=(1-s)*2*pi*f/p;
mmeh=pmeh./omega;

%Crtanje grafika M=f(s)
axes(handles.axes5); 
mmeh=vpa(mmeh)              
digits(4)
ezplot(mmeh,[-3,3]);     
setprave('color',[boj1 boj2 boj3],'LineWidth',2); 
hold on;     
grid on;     
axis auto;   
%title(' M=f(s)');                 
xlabel('slip s'); 
ylabel('Torque  M');                


%definisanje normale na f-ju M=f(s) za zadato klizanje
%Isti proracun za momenat se obavlja samo za zadato klizanje,jer nam je
%bitno da u toj vrednosti izracunamo vrednost momenta.  
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/snom +i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i0=u./(z1+z0+(z1+z0)/z21);
i1=i21+i0;
pmeh=3*(abs(i21))^2*(r21+r21dod)*(1-snom+eps)/(snom);
omega=(1-snom+eps)*2*pi*f/p;
mmeh=pmeh./omega;
plot([snom snom],[0 mmeh],'r');    %Crta liniju u x=snom, a y se menja od
                                   %0 do mmeh, poto u mmeh preseca M=f(s)
%nacrtana prava predstavlja odmerak f-je M=f(s) na s-osu
%kraj





%racunanje momenta u f-ji brzine obrtanja
syms n pmeh mmeh omega i1         
ns=60*f./p;      
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/((ns-n)/ns)+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i1=u./(z1+(z21*z0)/(z1+z21));

pmeh=3*(abs(i21))^2*(r21+r21dod)*(1-((ns-n)/ns))/((ns-n)/ns);
omega=(1-((ns-n)/ns))*2*pi*f/p;
mmeh=pmeh./omega;

%crtanje grafika M=f(n)
axes(handles.axes3);   
mmeh=vpa(mmeh)              
digits(4)
ezplot(mmeh,[-3000,3000]);   

setprave('color',[boj1 boj2 boj3],'LineWidth',2);
hold on;  
grid on;     
axis auto;  
%title('M=f(n) '); 
text(5,5,'');  
xlabel('speed n');
ylabel('Torque  M');  
                                      
%definisanje normale na f-ju M=f(n) za zadato brzinu tj. klizanje
%brz je brzina odredjena u f-ji snom(unetim nominalnim klizanjem)
%brz=ns(1-snom)
brz=ns*(1-snom+eps);%Dodato je eps da bi se izbegle tacke prekida u definisanju f-je
ns=60*f./p;
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/((ns-brz)/ns)+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i1=u./(z1+(z21*z0)/(z1+z21));
pmeh=3*(abs(i21))^2*(r21+r21dod)*(1-((ns-brz+eps)/ns))/((ns-brz)/(ns));
omega=(1-((ns-brz+eps)/(ns)))*2*pi*f/p;
mmeh=pmeh./omega;
plot([brz brz],[0 mmeh],'r'); %Crta liniju u x=brz, a y se menja od 0 do mmeh
                              %jer u y=mmex preseca M=f(n)
%nacrtana prava predstavlja odmerak f-je M=f(n) na n-osu
% kraj



%racunanje brzine obrtanja u f-ji momenta
syms n pmeh mmeh omega i1         
parametriseme     

%Poto je s=(ns-n)/ns
ns=60*f./p;
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/((ns-n)/ns)+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i1=u./(z1+(z21*z0)/(z1+z21));

pmeh=3*(abs(i21))^2*(r21+r21dod)*(1-((ns-n)/ns))/((ns-n)/ns);
omega=(1-((ns-n)/ns))*2*pi*f/p;
mmeh=pmeh./omega;

%crtanje grafika n=f(M) 
%figure(1);   
set(figure(1),'Position',[648 51 370 640]); 
ezplot3(mmeh,n,0,[-3000,3000]);  
                             
                             
                            
setprave('color',[boj1 boj2 boj3],'LineWidth',2);
hold on  
grid on;     
title('n=f(M)');  
xlabel('M');  
ylabel('n'); 
view(0,90);   

