%---------------------------
% crtanje grafika I=f(s)
%---------------------------

syms s pmeh mmeh omega n  i1 i21 i0 
parametriseme;                      
ns=60*f./p;
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/s+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i0=u./(z1+z0+(z1+z0)/z21);
i1=i21+i0;

%figure(2);              
set(figure(2),'Position',[648 51 370 640]);  
ezplot(imag(i1),[-3,3]);
setprave('color',[0 0 1],'LineWidth',2.5);
hold on

ezplot(real(i1),[-3,3]);
setprave('color',[0 1 0],'LineWidth',2.5);
hold on

ezplot(abs(i1),[-3,3]);
setprave('color',[1 0 0],'LineWidth',2.5);

title('I1=f(s) ');   
%xlabel('s');         
ylabel('I1');        
grid on;             
axis auto            
legend('real(i1)','imag(i1)','abs(i1)','Location','Best')  
hold off             